## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMemMgrHelper.hpp File Reference

Include dependency graph for XalanMemMgrHelper.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class CreateObjFunctor

## Defines

- #define XALANMEMMGRHELPER_HEADER_GUARD_1357924680

## Functions

- XALAN_CPP_NAMESPACE_BEGIN
  Type* cloneObjWithMemMgr (const Type &other, MemoryManagerType &theManager)
- Type* cloneObj (const Type &other, MemoryManagerType &theManager)
- void destroyObjWithMemMgr (const Type *ptr, MemoryManagerType &theManager)

## Define Documentation

#define XALANMEMMGRHELPER_HEADER_GUARD_1357924680

Value:

## Function Documentation

Type * cloneObj ( | const Type & other,
| MemoryManagerType & theManager )

XALAN_CPP_NAMESPACE_BEGIN Type * cloneObjWithMemMgr ( | const Type & other,
| MemoryManagerType & theManager )

void destroyObjWithMemMgr ( | const Type * ptr,
| MemoryManagerType & theManager )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.